Subject: Re: bug#78120: 31.0.50; Calendar is not reliable with its marking

From: Manuel Giraud <[email-masked]>
Date: Tue, 06 May 2025 19:50:00 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Tue, 06 May 2025 08:23:58 +0200
>> 
>> Michael Heerdegen <[email-masked]> writes:
>> 
>> > Manuel Giraud <[email-masked]> writes:
>> >
>> >> I think a better way would be to use the overlay priority and be able to
>> >> select from the diary date.
>> >
>> > What do you mean by "select from the diary date"?
>> 
>> Sorry, I wasn't clear.  At least for diary dates entered in sexp forms,
>> one can add an optional face (or a mark string) like this:
>> 
>> %%(diary-anniversary 11 5 1955 'error) Marty arrives
>> 
>> So maybe, we could have another optional parameter to add an overlay
>> priority value.
>
> IMO, it makes little sense to bother users with overlay priorities.
> That's a highly technical issue, and defining a good value requires to
> have intimate knowledge about the relevant features and functions.
>
> Why cannot the priority come from the code itself?  If you are saying
> that it is impossible to decide which face should haver precedence,
> something that I find very surprising, then some kind of user option
> that allows to set the priority of one overlay higher or lower than
> the other (without actually asking users to provide the priority
> itself) would make more sense.  But up front, I'd be very surprised to
> hear that we are unable to make the correct decision without burdening
> the users with these decisions.  If that is what you think, please try
> to explain in detail why such a decision is impossible.  Surely, out
> of the two faces one conveys information that is more important than
> the other?

I don't really understand when you say that we could decide which face
will have precedence over another.  If you have a face that says
"foreground is red" and another one that says "foreground is blue" how
could we decide which one speaks the truth?

Or maybe you are talking about having a precedence defined on faces'
names?  But even then, for the diary, AFAIK we have 3 faces: diary,
diary-anniversary and holiday.  What should be their order of
importance?  I don't know.
-- 
Manuel Giraud